Download it now!
Bug 95587 - position values do not follow base point setting
Summary: position values do not follow base point setting
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
5.1.0.0.alpha1
Hardware: x86 (IA32) All
: medium normal
Assignee: Katarina Behrens (Inactive)
URL:
Whiteboard: target:5.2.0 target:5.1.1
Keywords: bibisected, bisected, regression
: 94546 96895 (view as bug list)
Depends on:
Blocks:
 
Reported: 2015-11-04 21:14 UTC by Regina Henschel
Modified: 2016-10-25 19:11 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Regina Henschel 2015-11-04 21:14:19 UTC
Start Draw and draw a line from bottom left to top right, keep it marked. Press F4 to enter Position&Size dialog. On tab 'Position and Size' click the bottom right base point in section 'Position'.

Expected behavior: The values in the "Position X" and "Position Y" field show the coordinates of the bottom right corner of the bounding box.

Seen behavior: The values stay unchanged.

This bug impedes constructing considerably.

It was OK in Version: 5.1.0.0.alpha1+
Build ID: 8cd2a372e3867f99b397b9ec089d6e1f7efd1088
TinderBox: Win-x86@62-merge-TDF, Branch:MASTER, Time: 2015-06-21_10:44:17
Locale: de-DE (de_DE)

I see it broken since Version: 5.1.0.0.alpha1+
Build ID: dad6be8af0e670a56d3d399a1b0a35859bd7b093
TinderBox: Win-x86@62-merge-TDF, Branch:MASTER, Time: 2015-07-11_01:26:15
Locale: de-DE (de_DE)
Comment 1 Regina Henschel 2015-11-06 09:35:21 UTC
The Rotation tab is affected too. All base point settings are broken.
Comment 2 A (Andy) 2015-11-06 20:43:53 UTC
was for me not reproducible with LO 5.0.3.2, Win 8.1
Comment 3 Regina Henschel 2015-11-06 21:43:05 UTC
See above, it is a regression in the 5.1 line, the current master. You need a daily build to see it.
Comment 4 Buovjaga 2015-11-11 11:22:42 UTC
Repro.

Not major, though: https://wiki.documentfoundation.org/images/0/06/Prioritizing_Bugs_Flowchart.jpg

Win 7 Pro 64-bit Version: 5.1.0.0.alpha1+
Build ID: 6da681442b17c723f9408a806e8d2367441ad65a
TinderBox: Win-x86@62-merge-TDF, Branch:MASTER, Time: 2015-11-07_23:13:46
Locale: fi-FI (fi_FI)

Ubuntu 15.10 64-bit 
Version: 5.1.0.0.alpha1+
Build ID: a148fe149c7af1995fd2aaab0a6e52242509b993
TinderBox: Linux-rpm_deb-x86_64@70-TDF-dbg, Branch:master, Time: 2015-11-08_23:54:51
Locale: en-US (en_US.UTF-8)
Comment 5 raal 2015-11-11 17:48:38 UTC
This seems to have begun at the below commit.
Adding Cc: to simon@raspberrypi.org ; Could you possibly take a look at this one?
Thanks

ca38e903b89635d06e61ef907e796827091d55ad is the first bad commit
commit ca38e903b89635d06e61ef907e796827091d55ad
Author: Norbert Thiebaud <nthiebaud@gmail.com>
Date:   Sun Jul 26 21:04:31 2015 -0700
    source sha:74407aef94b6d8dfdd69891c4a6e578587ef3e71

author	Simon Long <simon@raspberrypi.org>	2015-07-08 17:02:50 (GMT)
committer	Caolán McNamara <caolanm@redhat.com>	2015-07-09 15:07:24 (GMT)
commit	74407aef94b6d8dfdd69891c4a6e578587ef3e71 (patch)
tdf#92630 Enable auto-accelerator behaviour for gtk

/bibisect-win32-5.1
$ git bisect log
# bad: [7af0dacdc70e7e8bd0785ab0be6e6ca64b64d08d] source sha:8bde421ccec9c10fe1382ad68485852889dd4c74
# good: [c1efd324c6ad448ac9edb030dc9738b9e6899e4d] source sha:ab465b90f6c6da5595393a0ba73f33a1e71a2b65
git bisect start '7af0dacdc70e7e8bd0785ab0be6e6ca64b64d08d' 'c1efd324c6ad448ac9edb030dc9738b9e6899e4d'
# bad: [3f6a85ce123f4e0c065f1c28b02f66dc7734cc04] source sha:647b5aecd4c3facc302df33386451dda732aab98
git bisect bad 3f6a85ce123f4e0c065f1c28b02f66dc7734cc04
# good: [c1575e5261af5b8dbdf5740a9bc4e6c7a1ba74d8] source sha:cfbbb3ca5d0d7bc479e219e17aa2919196664118
git bisect good c1575e5261af5b8dbdf5740a9bc4e6c7a1ba74d8
# bad: [db6594849c23b0cbdb542f14457610df1e580f11] source sha:92f32585708a251526492f1eb576744bee8d5a5f
git bisect bad db6594849c23b0cbdb542f14457610df1e580f11
# good: [84744088e5b698f0c4697a5cf460370406653074] source sha:36a77b748a0b1d35ce72b2e14d1daa158d5f7c4b
git bisect good 84744088e5b698f0c4697a5cf460370406653074
# bad: [028b886da9c94482e056adcdaa992a6fa2859a00] source sha:07ebc7771a8c9d8483e1dc7eac408f568434b7b5
git bisect bad 028b886da9c94482e056adcdaa992a6fa2859a00
# good: [a55f85d6799ce51b0f3b177eb653622a341793b4] source sha:97df2dee8ea4f33f4efb7467cfeec2d8954c006c
git bisect good a55f85d6799ce51b0f3b177eb653622a341793b4
# bad: [65ef13a44e80ca75e5f227e5d3e08f150de45921] source sha:db10a790df13c2d8f108bd829b4b025de2fc07e2
git bisect bad 65ef13a44e80ca75e5f227e5d3e08f150de45921
# good: [e87004777fa3a828137dc6a9de8aa14f8d74371c] source sha:5cf4deebeb69af2a107afd7f92d667b8cd971e57
git bisect good e87004777fa3a828137dc6a9de8aa14f8d74371c
# bad: [ca38e903b89635d06e61ef907e796827091d55ad] source sha:74407aef94b6d8dfdd69891c4a6e578587ef3e71
git bisect bad ca38e903b89635d06e61ef907e796827091d55ad
# good: [efb2706771a4e37ec0a8dd04b7554f470914e0b0] source sha:3e31d11f9536f4c5d4e2b7d0782a978182182deb
git bisect good efb2706771a4e37ec0a8dd04b7554f470914e0b0
# good: [4a0b70cd60a6775d84919d7b44ad7d2e56431552] source sha:24c50b6029791ed9fd14ed2c75351acd6c55e895
git bisect good 4a0b70cd60a6775d84919d7b44ad7d2e56431552
# good: [904a0c16aec072f969c42f22d73b8aff41ee849d] source sha:9a11e59e5699c5eb0854355d3dd3848bc895545c
git bisect good 904a0c16aec072f969c42f22d73b8aff41ee849d
# good: [d02651f9320435a7e9421fefa3fc8bac9926c466] source sha:40ade8d04380083e383d6a6e50e5c254fcde2b2f
git bisect good d02651f9320435a7e9421fefa3fc8bac9926c466
# first bad commit: [ca38e903b89635d06e61ef907e796827091d55ad] source sha:74407aef94b6d8dfdd69891c4a6e578587ef3e71
Comment 6 Robinson Tryon (qubit) 2015-12-13 11:14:28 UTC Comment hidden (obsolete)
Comment 7 Katarina Behrens (Inactive) 2016-01-11 13:52:33 UTC
*** Bug 96895 has been marked as a duplicate of this bug. ***
Comment 8 Commit Notification 2016-01-21 14:42:31 UTC
Katarina Behrens committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=39471da6e4d016c52c6cdf6553d7418416a160f4

tdf#95587: Make rectangle control within tab pages work again

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Katarina Behrens (Inactive) 2016-01-26 22:21:19 UTC
*** Bug 94546 has been marked as a duplicate of this bug. ***
Comment 10 Commit Notification 2016-01-29 13:31:24 UTC
Katarina Behrens committed a patch related to this issue.
It has been pushed to "libreoffice-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2cbd9dffe76068c71c9de3f6525ce68d949085c3&h=libreoffice-5-1

tdf#95587: Make rectangle control within tab pages work again

It will be available in 5.1.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.